# 微信支付
wechat:
  payment:
    notifyUrl: https://dev-wash.kuaiyuman.cn/api/payment/notify
    refundNotifyUrl: https://dev-wash.kuaiyuman.cn/api/payment/refundNotify
  fapiao:
    notifyUrl: https://dev-wash.kuaiyuman.cn/api/invoice/notify

spring:
  datasource:
    hikari:
      max-lifetime: 0
      minimum-idle: 3
      maximum-pool-size: 10
      idle-timeout: 60000
      connection-timeout: 10000
      validation-timeout: 3000
    url: jdbc:mysql://server.kuaiyuman.cn:3306/car_wash?serverTimezone=Asia/Shanghai&rewriteBatchedStatements=true&allowMultiQueries=true
    username: root
    password: KuaiyuMan/*-
    driver-class-name: com.mysql.cj.jdbc.Driver
  data:
    redis:
      port: 6379
      host: server.kuaiyuman.cn
      password: KtXA^Zx!TZmLEy(@JjB@2(TVG0kdy5)&
      database: 11
      lettuce:
        pool:
          min-idle: 1
        cluster:
          refresh:
            adaptive: true
            period: 20
  cache:
    type: redis
    redis:
      # 缓存过期时间：7天
      time-to-live: 604800
  rabbitmq:
    host: 121.40.98.15
    port: 5673
    username: kym
    password: kym!@123
    virtual-host: /dev
    publisher-returns: true
    publisher-confirms: true
    listener:
      simple:
        acknowledge-mode: manual
        retry:
          enabled: true
          max-attempts: 3
          initial-interval: 3000ms
          max-interval: 6000ms
          multiplier: 2

kym:
  notify-email: skyline@kuaiyuman.cn
  domain: https://dev-wash.kuaiyuman.cn
